<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

# Change here the template lang
//$__lang = 'fr';

# Ajout des fichiers du template pour le cache
$mod_files[] = dirname(__FILE__).'/list.php';
$mod_files[] = dirname(__FILE__).'/post.php';
$mod_files[] = dirname(__FILE__).'/form.php';
$mod_files[] = dirname(__FILE__).'/day.php';
$mod_files[] = dirname(__FILE__).'/plan.php';


/**
	URL du blog avec ? à la fin si query_string et / sinon
*/

function dcBaseURL() {
	global $blog;
	
	echo util::getHost().dc_blog_url.(dc_url_scan == 'path_info' ? '' : '?');
}


/**
	Affiche une barre d'outils pour la mise en forme des commentaires
 	au format wiki.
*/

function dcWikiCommentToolbar($message = '') {
	global $theme_path, $theme_uri, $__theme;

	if (is_dir($theme_path.$__theme.'/wikibtns/')) {
		$dc_url_wikibuttons = $theme_uri.$__theme.'/wikibtns/';
	} else {
		$dc_url_wikibuttons = $theme_uri.'default/wikibtns/';
	}
	if (file_exists($theme_path.$__theme.'/js/wikibar.js')) {
		$dc_url_wikijs = $theme_uri.$__theme.'/js/wikibar.js';
	} else {
		$dc_url_wikijs = $theme_uri.'default/js/wikibar.js';
	}
	if (dc_wiki_comments) {
		echo '<script type="text/javascript" src="'.$dc_url_wikijs.'"></script>'. "\n".
'<script type="text/javascript">'. "\n".
"	if (document.getElementById) {
		var tb = new dcWikiBar(document.getElementById('c_content'),'$dc_url_wikibuttons');

		tb.btStrong('".str_replace("'","\'",__('Strong emphasis'))."');
		tb.btEm('".str_replace("'","\'",__('Emphasis'))."');
		tb.btIns('".str_replace("'","\'",__('Inserted'))."');
		tb.btDel('".str_replace("'","\'",__('Deleted'))."');
		tb.btQ('".str_replace("'","\'",__('Inline quote'))."');
		tb.btCode('".str_replace("'","\'",__('Code'))."');
		tb.btBr('".str_replace("'","\'",__('Line break'))."');
		tb.btPre('".str_replace("'","\'",__('Preformated text'))."');
		tb.btList('".str_replace("'","\'",__('Unordered list'))."','ul');
		tb.btList('".str_replace("'","\'",__('Ordered list'))."','ol');
		tb.btLink('".str_replace("'","\'",__('Link'))."',
			'".str_replace("'","\'",__('URL?'))."',
			'".str_replace("'","\'",__('Language?'))."',
			'".DC_LANG."');
		tb.addSpace(10);
		tb.draw('$message');
	}
</script>\n";
	}
}


function getDayLink($dir, $fmt='%s') {
	global $days;
	global $news;
	global $blog;

	if (!empty($days)) {
		$dir = ($dir == 'next')?'next':'prev';
		$day   = date('d',$news->getTS());
		$month = date('m',$news->getTS());
		$year  = date('Y',$news->getTS());
		$day_link = '';
		if (($l_next = util::getNextPrev($days,strtotime($year.'-'.$month.'-'.$day),$dir)) !== NULL) {
			$ts_next = key($l_next);
			$d_next = date('d',$ts_next);
			$m_next = date('m',$ts_next);
			$y_next = date('Y',$ts_next);
			$day_link = '<a href="'.
				sprintf($blog->front_url['day'],$y_next,$m_next,$d_next).'" class="'.$dir.'"'.
				' title="'.dt::str($blog->date_format,$ts_next).'">'.sprintf($fmt,dt::str($blog->date_format,$ts_next)).'</a>';
		}
		print($day_link);
	}
}


/**
	Affichage court des autres billets du jour.

 	@param string $block Chaine de format contenant le code HTML englobant la div dont la liste
	@param string $item  Chaine de format représentant une entrée de la liste
*/

function dcMyOtherPostsInDay($block='<div id="otherinday"><p class="infos">Les autres billets du %1$s</p><ul>%2$s</ul></div>',$item='<li><a href="%2$s">%1$s</a> [in <a href="%3$s">%4$s</a>].</li>')
{
	global $news,$year,$month,$day,$cat_id,$blog;
	
	$res = '';
	$day_news = $blog->getPostByDate($year,$month,$day);
	$today = $day_news->getTS();
	
	if ($day_news->nbRow() > 1) {
		while ($day_news->fetch()) {
			if ($day_news->f('post_id') != $news->f('post_id')) {
				$res .= sprintf($item,$day_news->f('post_titre'),$day_news->getPermURL(),$day_news->f('cat_url'),$day_news->f('cat_libelle'));
			}
		}
    	printf($block,dt::str('%e %B %Y',$today),$res);
	}
}

/**
	Affichage du lien vers la home sous forme de la date du billet le plus récent.
*/

function dcMyLinkHomeToday($res='%s')
{
	global $news,$year,$month,$day,$blog,$mode;
	
	$res = '';
	$today = strtotime($blog->getEarlierDate(''));
	$this_day = $blog->getPostByDate($year,$month,$day);
	$this_day = $this_day->getTS();

	if ((dt::str("%e %B %Y",$today) != dt::str("%e %B %Y",$this_day)) || $mode == 'post') {
		$res .= '<a href="'.dc_blog_url;
		$res .= '"><span class="home">&uarr;';
		$res .= dt::str("%e %B %Y",$today);
		$res .= '</span></a>';

	print $res;
	}
}


/**
 	Fonction calendrier special journal
	M'ci Franck Paul !
*/

function dcFlatCalendar(
	$block='<div class="cal"><table summary="calendrier">%1$s%2$s</table></div>',
	$months='<caption>%s</caption>',
	$alldays='<tbody><tr>%s</tr></tbody>',
	$oneday='<td>%s</td>',
	$curday='<td class="active">%s</td>',
	$prevmonth='<td class="prev">%s</td>',
	$nextmonth='<td class="next">%s</td>')
{
		global $year,$month,$day,$cat_id,$lang,$blog;
	
		$arry_months = $GLOBALS['arry_months'];

		$comp_url = '';
		if ($lang) {
			$comp_url .= $lang.'/';
		}
		if($cat_id) {
			$comp_url .= $cat_id.'/';
		}
		
		if($month == '' || $year == '') {
			$recent = $blog->getEarlierDate($cat_id);
			$actual_month = date('m',strtotime($recent));
			$actual_year = date('Y',strtotime($recent));
		} else {
			$actual_month = $month;
			$actual_year = $year;
		}
		
		$days = $blog->getAllDates('d',$actual_year,$actual_month,'',$cat_id);
		$ts = strtotime($actual_year.'-'.$actual_month.'-01');
		
		# Mois suivant / precedent
		$link_next = $link_prev = '';
		if (($l_next = util::getNextPrev($arry_months,$ts,'prev')) !== NULL) {
			$ts_next = key($l_next);
			$m_next = date('m',$ts_next);
			$y_next = date('Y',$ts_next);
			$link_next = ' <a href="'.
				sprintf($blog->front_url['archive'],$comp_url.$y_next,$m_next).'" '.
				' title="'.dt::str('%B %Y',$ts_next).'">&#187;</a>';
		}
		
		if (($l_prev = util::getNextPrev($arry_months,$ts,'next')) !== NULL) {
			$ts_prev = key($l_prev);
			$m_prev = date('m',$ts_prev);
			$y_prev = date('Y',$ts_prev);
			$link_prev = '<a href="'.
				sprintf($blog->front_url['archive'],$comp_url.$y_prev,$m_prev).'" '.
				' title="'.dt::str('%B %Y',$ts_prev).'">&#171;</a> ';
		}
		// Version avec << et >> autour du mois (caption)
		// $resmonths = sprintf($months,$link_prev.dt::str('%B %Y',$ts).$link_next);
		// version sans << et >> autour du mois (caption)
		$resmonths = sprintf($months,dt::str('%B %Y',$ts));
		
		# Limite de fin du mois
		$limit = date('t',$ts);
		
		$resdays = '';
		if ($link_prev != '') {
			$resdays .= sprintf($prevmonth, $link_prev);
		}
		for($d = 1; $d <= $limit; $d++)
		{
			if(!empty($days[strtotime($actual_year.'-'.$actual_month.'-'.$d)])) {
				$url = sprintf($blog->front_url['day'],$comp_url.$actual_year,$actual_month,$d);
				$link = '<a href="'.$url.'">%s</a>';
			} else {
				$link = '%s';
			}

			if ($day == $d) {
				$resdays .= sprintf($curday, sprintf($link, $d));
			} else {
				$resdays .= sprintf($oneday, sprintf($link, $d));
			}
		}
		if ($link_next != '') {
			$resdays .= sprintf($nextmonth, $link_next);
		}
		
		$resdays = sprintf($alldays,$resdays);
		$res = sprintf($block,$resmonths,$resdays);
		echo $res;
}

?>