<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>"
lang="<?php dcInfo('lang'); ?>">
<head>
	<meta http-equiv="Content-Type"
	content="text/html; charset=<?php dcInfo('encoding'); ?>" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<?php dcHeadLinks(); ?>
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
        <link rel="alternate" type="application/atom+xml" title="Atom" href="<?php dcInfo('atom'); ?>" />  
	<meta name="DC.title" content="<?php dcInfo(); ?>" />
	<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - ');
	dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?></title>
	
	<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
	<link rel="stylesheet" type="text/css" href="/kozeries/themes/default/print.css" media="print" />

	<?php dcPostTrackbackAutoDiscovery(); ?>
</head>

<body>

<div id="page">

<div id="top">
	<h1><a href="<?php dcInfo('url'); ?>" title="<?php dcInfo(); ?>"><span><?php dcInfo(); ?></span></a></h1>
</div>

<?php /* MENU */
	// si on est dans la page du centre d'aiguillage, le troisième lien pointe
	// vers la liste des archives, sinon vers le ruban des jours
?>
<ul id="prelude"><li><?php dcMyLinkHomeToday(); ?></li><li><a 
	href="#search" title="Aller au formulaire de recherche"><span>Rechercher un mot</span></a></li><li><?php if($mode == 'plan') : ?><a
		href="#archives"<?php else : ?><a href="#timeline"<?php endif; ?> title="Calendrier des billets"><span>Sélectionner une date</span></a></li><li><a 
			<?php if($mode == 'plan') : ?>class="active"<?php endif; ?>
	href="<?php dcBaseURL(); ?>plan" title="Plan du site"><span>Centre d'aiguillage</span></a></li></ul>


<div id="main">
	<div id="content">
	<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
		<div class="error"><strong>Erreur : </strong>
		<?php echo $err_msg; ?></div>
		
	<?php elseif ($preview) : /* Si on demande la previsualisation d'un commentaire */?>
		<p id="here-you-are">Prévisualisation du commentaire</p>
		<div id="comment-preview">
			<h3>Votre commentaire pour <?php dcPostTitle(); ?></h3>
			<blockquote>
			<?php dcCommentPreview(); ?>
			</blockquote>
					
			<h3>Changer le commentaire</h3>
			<?php include dirname(__FILE__).'/form.php'; ?>
		</div>

	<?php elseif ($mode == 'day' || ($mode == 'pagination' && $dc_orig_mode == 'day')) : ?>
		<p id="here-you-are"><?php dcPostDate(); ?></p>
		<?php include dirname(__FILE__).'/day.php'; ?>
		

	<?php elseif ($mode == 'plan' || ($mode == 'pagination' && $dc_orig_mode == 'plan')) : ?>
		<p id="here-you-are">Centre d'aiguillage</p>
		<?php include dirname(__FILE__).'/plan.php'; ?>

		
	<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
		<?php # Phrase affichee en cas de recherche (%s est le mot cherche)
		// dcSearchString('<p class="infos">R&eacute;sultats de votre recherche de <em>%s</em>&nbsp:</p>');
		dcSearchString('<p id="here-you-are">R&eacute;sultats de votre recherche de <em>%s</em></p>');
		
		?>
		
		<?php include dirname(__FILE__).'/list.php'; ?>
		<?php if($mode == 'cat') : ?><p id="here-you-are"><?php dcSingleCatTitle('%s'); ?></p><?php ; ?>
		<?php elseif($mode == 'month') : ?><p id="here-you-are">Archives - <?php dcSingleMonthTitle('%s'); ?></p><?php ; ?>			
		<?php else : ?><p id="here-you-are"><?php dcCustomTitle(); ?></p><?php ; ?>
		<?php endif; ?>
		
	<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
		<p id="here-you-are">par <?php dcPostAuthor(); ?></p>
		<?php include dirname(__FILE__).'/post.php'; ?>
	<?php endif; ?>
	
	</div>
</div>

<?php if($mode!='plan') : ?>
<div id="bottom-menu">
	<div id="timeline">
		<h2>Sélectionner une date</h2>
		<?php dcFlatCalendar(); ?>
		<p class="petit text-center">Les cases à fond coloré signalent les dates de parution des billets. Les flèches permettent de se déplacer au mois suivant ou précédent.</p>
	</div>
</div>
<?php endif; ?>

<div id="footer">
	<div id="search">
		<form action="<?php dcInfo('search'); ?>" method="get">		
			<p><label for="q">Chercher dans ce blog : </label>
			<span class="field"><input name="q" id="q" type="text" size="10"
			value="<?php dcSearchString(); ?>" accesskey="4" />
			<input type="submit" class="submit" value="ok" /></span></p>		
		</form>
	</div>
    <p>Abonnement : <a class="feed" href="<?php dcInfo('rss'); ?>">fil rss des billets</a> - <a class="feed" href="<?php dcInfo('rss'); ?>?type=co">fil rss des commentaires</a> - 
		<a class="feed" href="<?php dcInfo('atom'); ?>">fil Atom des billets</a> - <a class="feed" href="<?php dcInfo('atom'); ?>?type=co">fil Atom des commentaires</a>.</p>
	<p>Sauterelle habillée par <a href="http://kozlika.org/">Kozlika</a> et photographiée par <a href="http://franck.paul.free.fr/">Franck Paul</a>. Ce blog est propuls&eacute; par <a href="http://www.dotclear.net/">DotClear</a></p>
</div>

</div> <!-- end #page -->
</body>
</html>